# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name shakespeare-js

Name:           ghc-%{pkg_name}
Version:        1.1.4.1
Release:        3%{?dist}
Summary:        Compile-time variable interpolation for Javascript

License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-shakespeare-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
ExclusiveArch:  %{ghc_arches_with_ghci}
# End cabal-rpm deps

%description
Shakespeare is a template family for type-safe, efficient templates with simple
variable interpolation. Shakespeare templates can be used inline with a
quasi-quoter or in an external file. Shakespeare interpolates variables
according to the type being inserted. In this case, the variable type needs a
ToJavascript instance.

shakespeare-javascript is also known as Julius, and passes through plain
javascript.

There is also a shakespeare version for CoffeeScript, TypeScript, and Roy, all
languages that compile down to Javascript. They all expect you to have the
appropriate compiler in your path.

shakespeare originated from the hamlet template package. Please see
http://www.yesodweb.com/book/shakespearean-templates for a more thorough
description and examples.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
# requires hspec


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 27 2014 Jens Petersen <petersen@redhat.com> - 1.1.4.1-2
- update to cabal-rpm-0.8.9

* Mon Feb 24 2014 Jens Petersen <petersen@redhat.com> - 1.1.4.1-1
- update to 1.1.4.1 (no actual changes)
- descriptions fixes (#986641)
- add empty check section with comment about needing hspec (#986641)

* Sun Jul 21 2013 Jens Petersen <petersen@redhat.com> - 1.1.4-1
- tidy summary and description

* Sun Jul 21 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.1.4-0
- spec file generated by cabal-rpm-0.8.3
